--- old/usr/src/man/man1m/dhcpconfig.1m	2014-10-07 19:19:53.812079859 +0200
+++ /dev/null	2014-10-07 19:19:53.000000000 +0200
@@ -1,792 +0,0 @@
-'\" te
-.\"  Copyright (c) 2002 by Sun Microsystems, Inc. All Rights Reserved.
-.\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
-.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
-.\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH DHCPCONFIG 1M "Jun 16, 2004"
-.SH NAME
-dhcpconfig \- DHCP service configuration utility
-.SH SYNOPSIS
-.LP
-.nf
-\fBdhcpconfig\fR \fB-D\fR \fB-r\fR \fIresource\fR \fB-p\fR \fIpath\fR [\fB-u\fR \fIuninterpreted\fR]
-     [\fB-l\fR \fIlease_length\fR] [\fB-n\fR ] [\fB-d\fR \fIDNS_domain\fR]
-     [\fB-a\fR \fIDNS_server_addresses\fR] [\fB-h\fR \fIhosts_resource\fR]
-     [\fB-y\fR \fIhosts_domain\fR]
-.fi
-
-.LP
-.nf
-\fBdhcpconfig\fR \fB-R\fR \fIserver_addresses\fR
-.fi
-
-.LP
-.nf
-\fBdhcpconfig\fR \fB-U\fR [\fB-f\fR] [\fB-x\fR] [\fB-h\fR]
-.fi
-
-.LP
-.nf
-\fBdhcpconfig\fR \fB-N\fR \fInetwork_address\fR [\fB-m\fR \fIsubnet_mask\fR] [\fB-b\fR ]
-     [\fB-t\fR \fIrouter_addresses\fR] [\fB-y\fR \fINIS-domain\fR]
-     [\fB-a\fR \fINIS_server_addresses\fR] [\fB-g\fR]
-.fi
-
-.LP
-.nf
-\fBdhcpconfig\fR \fB-C\fR \fB-r\fR \fIresource\fR \fB-p\fR \fIpath\fR [\fB-f\fR] [\fB-k\fR]
-     [\fB-u\fR \fIuninterpreted\fR]
-.fi
-
-.LP
-.nf
-\fBdhcpconfig\fR \fB-X\fR \fIfilename\fR [\fB-m\fR \fImacro_list\fR] [\fB-o\fR \fIoption_list\fR]
-     [\fB-a\fR \fInetwork_addresses\fR] [\fB-f\fR] [\fB-x\fR] [\fB-g\fR]
-.fi
-
-.LP
-.nf
-\fBdhcpconfig\fR \fB-I\fR \fIfilename\fR [\fB-f\fR] [\fB-g\fR]
-.fi
-
-.LP
-.nf
-\fBdhcpconfig\fR \fB-P\fR [\fIparameter\fR[=\fIvalue\fR],]...
-.fi
-
-.LP
-.nf
-\fBdhcpconfig\fR \fB-S\fR [\fB-f\fR] [\fB-e\fR | \fB-d\fR | \fB-r\fR | \fB-q\fR]
-.fi
-
-.SH DESCRIPTION
-.sp
-.LP
-The \fBdhcpconfig\fR command is used to configure and manage the Dynamic Host
-Configuration Protocol (DHCP) service or BOOTP relay services. It is intended
-for use by experienced Solaris system administrators and is designed for ease
-of use in scripts. The \fBdhcpmgr\fR utility is recommended for less
-experienced administrators or those preferring a graphical utility to configure
-and manage the DHCP service or BOOTP relay service.
-.sp
-.LP
-The \fBdhcpconfig\fR command can be run by root, or by other users assigned to
-the DHCP Management profile. See \fBrbac\fR(5) and \fBuser_attr\fR(4).
-.sp
-.LP
-\fBdhcpconfig\fR requires one of the following function flags: \fB-D\fR,
-\fB-R\fR, \fB-U\fR, \fB-N\fR, \fB-C\fR, \fB-X\fR, \fB-I\fR, \fB-P\fR or
-\fB-S\fR.
-.sp
-.LP
-The \fBdhcpconfig\fR menu driven mode is supported in Solaris 8 and previous
-versions of Solaris.
-.SS "Where dhcpconfig Obtains Configuration Information"
-.sp
-.LP
-\fBdhcpconfig\fR scans various configuration files on your Solaris machine for
-information it can use to assign values to options contained in macros it adds
-to the \fBdhcptab\fR configuration table. The following table lists information
-\fBdhcpconfig\fR needs, the source used, and how the information is used:
-.sp
-
-.sp
-.TS
-box;
-l | l | l
-l | l | l .
-\fIInformation\fR	\fISource\fR	\fIWhere Used\fR
-_
-Timezone	System date, timezone settings	\fBLocale\fR macro
-DNS parameters	\fBnsswitch.conf\fR, \fB/etc/resolv.conf\fR	Server macro
-NIS parameters	System domainname, \fBnsswitch.conf\fR, NIS	Network macros
-Subnetmask	T{
-Network interface, \fBnetmasks\fR table in nameservice
-T}	Network macros
-.TE
-
-.sp
-.LP
-If you have not set these parameters on your server machine, you should do so
-before configuring the DHCP server with \fBdhcpconfig\fR. Note that if you
-specify options with the \fBdhcpconfig \fR\fB-D\fR command line, the values you
-supply override the values obtained from the system files.
-.SH OPTIONS
-.sp
-.LP
-The following options are supported:
-.sp
-.ne 2
-.na
-\fB\fB-C\fR\fR
-.ad
-.RS 23n
-Convert to using a new data store, recreating the DHCP data tables in a format
-appropriate to the new data store, and setting up the DHCP server to use the
-new data store.
-.sp
-The following sub-options are required:
-.sp
-.ne 2
-.na
-\fB\fB-p\fR \fIpath_to_data\fR\fR
-.ad
-.RS 20n
-The paths for \fBSUNWfiles\fR and \fBSUNWbinfiles\fR must be absolute
-\fBUNIX\fR pathnames. The path for \fBSUNWnisplus\fR must be a fully specified
-\fBNIS+\fR directory (including the tailing period.) See \fBdhcp_modules\fR(5).
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-r\fR \fIdata_resource\fR\fR
-.ad
-.RS 20n
-New data store resource. One of the following must be specified:
-\fBSUNWfiles\fR, \fBSUNWbinfiles\fR, or \fBSUNWnisplus\fR. See
-\fBdhcp_modules\fR(5).
-.RE
-
-The following sub-options are optional:
-.sp
-.ne 2
-.na
-\fB\fB-f\fR\fR
-.ad
-.RS 20n
-Do not prompt for confirmation. If \fB-f\fR is not used, a warning and
-confirmation prompt are issued before the conversion starts.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-k\fR\fR
-.ad
-.RS 20n
-Keep the old DHCP data tables after successful conversion. If any problem
-occurs during conversion, tables are not deleted even if \fB-k\fR sub-option is
-not specified.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-u\fR \fIuninterpreted\fR\fR
-.ad
-.RS 20n
-Data which is ignored by \fBdhcpconfig\fR, but passed on to the datastore for
-interpretation. The private layer provides for module-specific configuration
-information through the use of the \fBRESOURCE_CONFIG \fR keyword.
-Uninterpreted data is stored within \fBRESOURCE_CONFIG\fR keyword of
-\fBdhcpsvc.conf\fR(4). The \fB-u\fR sub-option is not used with the
-\fBSUNWfiles\fR, \fBSUNWbinfiles\fR, and \fBSUNWnisplus\fR data stores. See
-\fBdhcp_modules\fR(5).
-.RE
-
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-D\fR\fR
-.ad
-.RS 23n
-Configure the \fBDHCP\fR service.
-.sp
-The following sub-options are required:
-.sp
-.ne 2
-.na
-\fB\fB-r\fR \fIdata_resource\fR\fR
-.ad
-.RS 20n
-One of the following must be specified: \fBSUNWfiles\fR, \fBSUNWbinfiles\fR, or
-\fBSUNWnisplus\fR. Other data stores may be available.See
-\fBdhcp_modules\fR(5).
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-p\fR \fIpath\fR\fR
-.ad
-.RS 20n
-The paths for \fBSUNWfiles\fR and \fBSUNWbinfiles\fR must be absolute
-\fBUNIX\fR pathnames. The path for \fBSUNWnisplus\fR must be a fully specified
-\fBNIS+\fR directory (including the tailing period.) . See
-\fBdhcp_modules\fR(5).
-.RE
-
-The following sub-options are optional:
-.sp
-.ne 2
-.na
-\fB\fB-a\fR \fIDNS_servers\fR\fR
-.ad
-.RS 21n
-IP addresses of DNS servers, separated with commas.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-d\fR \fIDNS_domain\fR\fR
-.ad
-.RS 21n
-DNS domain name.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-h\fR \fIhosts_resource\fR\fR
-.ad
-.RS 21n
-Resource in which to place hosts data. Usually, the name service in use on the
-server. Valid values are \fBnisplus\fR, \fBfiles\fR, or \fBdns\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-l\fR \fIseconds\fR\fR
-.ad
-.RS 21n
-Lease length used for addresses not having a specified lease length, in
-seconds.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-n\fR\fR
-.ad
-.RS 21n
-Non-negotiable leases
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-y\fR \fIhosts_domain\fR\fR
-.ad
-.RS 21n
-DNS or NIS+ domain name to be used for hosts data. Valid only if \fBdns\fR or
-\fBnisplus\fR is specified for \fB-h\fR sub-option.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-u\fR \fIuninterpreted\fR\fR
-.ad
-.RS 21n
-Data which is ignored by \fBdhcpconfig\fR, but passed on to the datastore for
-interpretation. The private layer provides for module-specific configuration
-information through the use of the \fBRESOURCE_CONFIG \fR keyword.
-Uninterpreted data is stored within \fBRESOURCE_CONFIG\fR keyword of
-\fBdhcpsvc.conf\fR(4). The \fB-u\fR sub-option is not used with the
-\fBSUNWfiles\fR, \fBSUNWbinfiles\fR, and \fBSUNWnisplus\fR data stores. See
-\fBdhcp_modules\fR(5).
-.RE
-
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-I\fR \fIfilename\fR\fR
-.ad
-.RS 23n
-Import data from \fIfilename\fR, containing data previously exported from a
-Solaris DHCP server. Note that after importing, you may have to edit macros to
-specify the correct domain names, and edit network tables to change the owning
-server of addresses in imported networks. Use \fBdhtadm\fR and \fBpntadm\fR to
-do this.
-.sp
-The following sub-options are supported:
-.sp
-.ne 2
-.na
-\fB\fB-f\fR\fR
-.ad
-.RS 6n
-Replace any conflicting data with the data being imported.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-g\fR\fR
-.ad
-.RS 6n
-Signal the daemon to reload the \fBdhcptab\fR once the import has been
-completed.
-.RE
-
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-N\fR \fInet_address\fR\fR
-.ad
-.RS 23n
-Configure an additional network for DHCP service.
-.sp
-The following sub-options are supported:
-.sp
-.ne 2
-.na
-\fB\fB-a\fR \fINIS_server_addresses\fR\fR
-.ad
-.RS 27n
-List of IP addresses of NIS servers.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-b\fR\fR
-.ad
-.RS 27n
-Network is a point-to-point (PPP) network, therefore no broadcast address
-should be configured. If \fB-\fRb is not used, the network is assumed to be a
-LAN, and the broadcast address is determined using the network address and
-subnet mask.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-g\fR\fR
-.ad
-.RS 27n
-Signal the daemon to reload the \fBdhcptab\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-m\fR \fIxxx.xxx.xxx.xxx\fR\fR
-.ad
-.RS 27n
-Subnet mask for the network; if \fB-m\fR is not used, subnet mask is obtained
-from netmasks.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-t\fR \fIrouter_addresses\fR\fR
-.ad
-.RS 27n
-List of router IP addresses; if not specified, router discovery flag is set.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-y\fR \fINIS_domain_name\fR\fR
-.ad
-.RS 27n
-If NIS is used on this network, specify the NIS domain name.
-.RE
-
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-P\fR\fR
-.ad
-.RS 23n
-Configure the DHCP service parameters. Each parameter and value are specified
-by the following pattern:
-.sp
-.in +2
-.nf
-\fIparameter\fR[=\fIvalue\fR],\&.\|.\|.
-.fi
-.in -2
-.sp
-
-Where parameter and value are:
-.sp
-.ne 2
-.na
-\fB\fIparameter\fR\fR
-.ad
-.RS 13n
-One of the DHCP service parameters listed in \fBdhcpsvc.conf\fR(4). If the
-corresponding \fIvalue\fR is not specified, the current parameter value is
-displayed. If \fIparameter\fR is not specified, all parameters and current
-values are displayed.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fIvalue\fR\fR
-.ad
-.RS 13n
-Optional string to set the servers parameter to if the value is acceptable. If
-the value is missing or is empty (\fB""\fR), the parameter and its current
-value are deleted.
-.RE
-
-After a parameter has changed the DHCP server requires re-starting before you
-can use new parameter values.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-R\fR \fIserver_addresses\fR\fR
-.ad
-.RS 23n
-Configure the BOOTP relay service. BOOTP or DHCP requests are forwarded to the
-list of servers specified.
-.sp
-\fIserver_addresses\fR is a comma separated list of hostnames and/or IP
-addresses.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-S\fR\fR
-.ad
-.RS 23n
-Control the DHCP service.
-.sp
-The following sub-options are supported:
-.sp
-.ne 2
-.na
-\fB\fB-d\fR\fR
-.ad
-.RS 6n
- Disable and stop the DHCP service.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-e\fR\fR
-.ad
-.RS 6n
-Enable and start the DHCP service.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-q\fR\fR
-.ad
-.RS 6n
-Display the state of the DHCP service. The state is encoded into the exit
-status.
-.sp
-.in +2
-.nf
-0    DHCP service disabled and stopped
-1    DHCP service enabled and stopped
-2    DHCP service disabled and running
-3    DHCP service enabled and running
-.fi
-.in -2
-.sp
-
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-r\fR\fR
-.ad
-.RS 6n
-Enable and restart the DHCP service.
-.RE
-
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-U\fR\fR
-.ad
-.RS 23n
-Unconfigure the DHCP service or BOOTP relay service.
-.sp
-The following sub-options are supported:
-.sp
-.ne 2
-.na
-\fB\fB-f\fR\fR
-.ad
-.RS 6n
-Do not prompt for confirmation. If \fB-f\fR is not used, a warning and
-confirmation prompt is issued.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-h\fR\fR
-.ad
-.RS 6n
-Delete hosts entries from name service.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-x\fR\fR
-.ad
-.RS 6n
-Delete the \fBdhcptab\fR and network tables.
-.RE
-
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-X\fR \fIfilename\fR\fR
-.ad
-.RS 23n
-Export data from the DHCP data tables, saving to \fIfilename\fR, to move the
-data to another Solaris DHCP server.
-.sp
-The following sub-options are optional:
-.sp
-.ne 2
-.na
-\fB\fB-a\fR \fInetworks_to_export\fR\fR
-.ad
-.RS 25n
-List of networks whose addresses should be exported, or the keyword ALL to
-specify all networks. If \fB-a\fR is not specified, no networks are exported.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-g\fR \fR
-.ad
-.RS 25n
-Signal the daemon to reload the \fBdhcptab\fR after the export has been
-completed.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-m\fR \fImacros_to_export\fR\fR
-.ad
-.RS 25n
-List of macros to export, or the keyword \fBALL\fR to specify all macros. If
-\fB-m\fR is not specified, no macros are exported.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-o\fR \fIoptions_to_export\fR\fR
-.ad
-.RS 25n
-List of options to export, or the keyword \fBALL\fR to specify all options. If
-\fB-o\fR is not specified, no options are exported.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-x\fR\fR
-.ad
-.RS 25n
-Delete the data from this server after it is exported. If \fB-x\fR is not
-specified you are in effect copying the data.
-.RE
-
-.RE
-
-.SH EXAMPLES
-.LP
-\fBExample 1 \fRConfiguring DHCP Service with Binary Files Data Store
-.sp
-.LP
-The following command configures DHCP service, using the binary files data
-store, in the DNS domain \fBacme.eng\fR, with a lease time of 28800 seconds (8
-hours),
-
-.sp
-.in +2
-.nf
-example# dhcpconfig -D -r SUNWbinfiles -p /var/dhcp -l 28800\e
-             -d acme.eng -a 120.30.33.4 -h dns -y acme.eng
-.fi
-.in -2
-.sp
-
-.LP
-\fBExample 2 \fRConfiguring BOOTP Relay Agent
-.sp
-.LP
-The following command configures the DHCP daemon as a BOOTP relay agent, which
-forwards BOOTP and DHCP requests to the servers having the IP addresses
-120.30.33.7 and 120.30.42.132:
-
-.sp
-.in +2
-.nf
-example# dhcpconfig -R 120.30.33.7,120.30.42.132
-.fi
-.in -2
-.sp
-
-.LP
-\fBExample 3 \fRUnconfiguring DHCP Service
-.sp
-.LP
-The following command unconfigures the DHCP service, with confirmation, and
-deletes the DHCP data tables and host table entries:
-
-.sp
-.in +2
-.nf
-example# dhcpconfig -U -x -h
-.fi
-.in -2
-.sp
-
-.LP
-\fBExample 4 \fRConfiguring a Network for DHCP Service
-.sp
-.LP
-The following command configures an additional LAN network for DHCP service,
-specifying that clients should use router discovery and providing the NIS
-domain name and NIS server address:
-
-.sp
-.in +2
-.nf
-example# dhcpconfig -N 120.30.171.0 -y east.acme.eng.com\e
-             -a 120.30.33.4
-.fi
-.in -2
-.sp
-
-.LP
-\fBExample 5 \fRConverting to SUNWnisplus Data Store
-.sp
-.LP
-The following command converts a DHCP server from using a text or binary files
-data store to a NIS+ data store, deleting the old data store's DHCP tables:
-
-.sp
-.in +2
-.nf
-example# dhcpconfig -C -r SUNWnisplus -p whatever.com.
-.fi
-.in -2
-.sp
-
-.LP
-\fBExample 6 \fRExporting a Network, Macros, and Options from a DHCP Server
-.sp
-.LP
-The following command exports one network (\fB120.30.171.0\fR) and its
-addresses, the macro \fB120.30.171.0\fR, and the options \fBmotd\fR and
-\fBPSptr\fRfrom a DHCP server, saves the exported data in file
-\fB/export/var/120301710_data\fR, and deletes the exported data from the
-server.
-
-.sp
-.in +2
-.nf
-example# dhcpconfig -X /var/dhcp/120301710_export
-     -a 120.30.171.0 -m 120.30.171.0 -o motd,PSptr
-.fi
-.in -2
-.sp
-
-.LP
-\fBExample 7 \fRImporting Data on a DHCP Server
-.sp
-.LP
-The following command imports DHCP data from a file,
-\fB/net/golduck/export/var/120301710_data\fR, containing data previously
-exported from a Solaris DHCP server, overwrites any conflicting data on the
-importing server, and signals the daemon to reload the \fBdhcptab\fR once the
-import is completed:
-
-.sp
-.in +2
-.nf
-example# dhcpconfig -I /net/golduck/export/var/120301710_data -f -g
-.fi
-.in -2
-.sp
-
-.LP
-\fBExample 8 \fRSetting DHCP Server Parameters
-.sp
-.LP
- The following command sets the number of minutes that the DHCP server waits
-before timing out when updating DNS information on DHCP clients to five
-minutes.
-
-.sp
-.in +2
-.nf
-example# example# dhcpconfig -P UPDATE_TIMEOUT=5
-.fi
-.in -2
-.sp
-
-.LP
-\fBExample 9 \fRRe-starting the DHCP server
-.sp
-.LP
-The following command stops and re-starts the DHCP server.
-
-.sp
-.in +2
-.nf
-example#  example# dhcpconfig -S -r
-DHCP server stopped
-DHCP server started
-.fi
-.in -2
-.sp
-
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	Evolving
-.TE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBdhcpmgr\fR(1M), \fBdhtadm\fR(1M), \fBin.dhcpd\fR(1M), \fBpntadm\fR(1M),
-\fBdhcp_network\fR(4), \fBdhcptab\fR(4), \fBdhcpsvc.conf\fR(4),
-\fBnsswitch.conf\fR(4), \fBresolv.conf\fR(4), \fBuser_attr\fR(4),
-\fBattributes\fR(5), \fBdhcp\fR(5), \fBdhcp_modules\fR(5), \fBrbac\fR(5)
-.sp
-.LP
-\fI\fR
